Deals
Ihre Vertriebspipeline mit Leads, Deals, Stufen und Kontaktzuordnungen verwalten.
Pipelines durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/deals/pipelines"[
{
"_id": "string",
"_tenantID": "string",
"name": "string",
"stages": [
{
"_id": "Vu03OuXc1YKPOeXuEHF5p",
"name": "string",
"order": [],
"salesProbability": 100,
"followUpTimer": 0,
"probableValue": 0
}
],
"createdAt": 0,
"followUpTimerEnabled": true
}
]Pipeline hinzufügen
Authorization
bearer In: header
Response Body
application/json
curl -X POST "https://samdock.app/api/deals/pipelines"{
"_id": "string",
"_tenantID": "string",
"name": "string",
"stages": [
{
"_id": "Vu03OuXc1YKPOeXuEHF5p",
"name": "string",
"order": [],
"salesProbability": 100,
"followUpTimer": 0,
"probableValue": 0
}
],
"createdAt": 0,
"followUpTimerEnabled": true
}Pipeline bearbeiten
Authorization
bearer In: header
Response Body
application/json
curl -X PATCH "https://samdock.app/api/deals/pipelines/{pipelineID}"{
"_id": "string",
"_tenantID": "string",
"name": "string",
"stages": [
{
"_id": "Vu03OuXc1YKPOeXuEHF5p",
"name": "string",
"order": [],
"salesProbability": 100,
"followUpTimer": 0,
"probableValue": 0
}
],
"createdAt": 0,
"followUpTimerEnabled": true
}Pipeline und alle zugehörigen Deals entfernen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/pipelines/string"Pipeline-Stufe bearbeiten
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/pipelines/string/stages/string"Pipeline-Stufe entfernen
Authorization
bearer In: header
Path Parameters
Request Body
application/json
Move all deals of removed stage to that stage id
nullResponse Body
curl -X DELETE "https://samdock.app/api/deals/pipelines/string/stages/string" \ -H "Content-Type: application/json" \ -d '{}'Stufenposition ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PUT "https://samdock.app/api/deals/pipelines/string/stages/string/0"Pipeline-Stufe hinzufügen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X POST "https://samdock.app/api/deals/pipelines/string/stages"Deal innerhalb der Stufe sortieren
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/pipelines/string/stages/string/sort"Leads durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/deals/leads"[
{
"_tenantID": "string",
"_id": "string",
"name": "string",
"organization": {},
"positions": [
"string"
],
"value": 0,
"positionsEstimated": 0,
"editor": {},
"stage": {},
"stakeholders": [
[]
],
"contactPerson": "string",
"budget": {},
"customerRequirement": "string",
"timing": {},
"budgetHolder": "string",
"decisionMaker": "string",
"isArchived": true,
"estimatedClosingDate": 0,
"markedForDeletionAt": 0,
"createdAt": 0,
"updatedAt": 0,
"probableValue": 0,
"salesProbability": 0,
"stageChangedAt": 0,
"priority": "string"
}
]Lead hinzufügen
Authorization
bearer In: header
Request Body
application/json
The ID of the deal
The name of the deal
The organization the deal is linked to
The editor of the deal
The positions in the deal
Estimated value
The stage of the deal
The stakeholders of the deal
The contact person of the deal
The priority of the deal
The created at timestamp of the deal
The archived state of the deal
Timestamp of deletion of the deal
The estimated closing date of the deal
The probable value of the deal
The sales probability of the deal
The timestamp of when the deal stage was last updated
Response Body
curl -X POST "https://samdock.app/api/deals/leads" \ -H "Content-Type: application/json" \ -d '{ "_id": "string" }'Leads und Deals durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/deals/leads/combined"[
{
"_tenantID": "string",
"_id": "string",
"name": "string",
"organization": {},
"positions": [
"string"
],
"value": 0,
"positionsEstimated": 0,
"editor": {},
"stage": {},
"stakeholders": [
[]
],
"contactPerson": "string",
"budget": {},
"customerRequirement": "string",
"timing": {},
"budgetHolder": "string",
"decisionMaker": "string",
"isArchived": true,
"estimatedClosingDate": 0,
"markedForDeletionAt": 0,
"createdAt": 0,
"updatedAt": 0,
"probableValue": 0,
"salesProbability": 0,
"stageChangedAt": 0,
"priority": "string"
}
]Lead bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
The ID of the deal
The name of the deal
The organization the deal is linked to
The editor of the deal
The positions in the deal
Estimated value
The stage of the deal
The stakeholders of the deal
The contact person of the deal
The priority of the deal
The created at timestamp of the deal
The archived state of the deal
Timestamp of deletion of the deal
The estimated closing date of the deal
The probable value of the deal
The sales probability of the deal
The timestamp of when the deal stage was last updated
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string" \ -H "Content-Type: application/json" \ -d '{ "_id": "string" }'Lead löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/leads/string"Lead qualifizieren
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/qualify"Deal zu Lead herabstufen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/unqualify"Lead zu Deal hochstufen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/stage/promote"Budget des Leads ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/budget"Entscheidungsträger ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/decisionMaker"Budgetverantwortlichen ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/budgetHolder"Kundenanforderung ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/customerRequirement"Zeitplanung des Leads ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/timing"Lead archivieren
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/archive"Lead wiedereröffnen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/reopen"Deals durchsuchen
Authorization
bearer In: header
Response Body
application/json
curl -X GET "https://samdock.app/api/deals"[
{
"_tenantID": "string",
"_id": "string",
"name": "string",
"organization": {},
"positions": [
"string"
],
"value": 0,
"positionsEstimated": 0,
"editor": {},
"stage": {},
"stakeholders": [
[]
],
"contactPerson": "string",
"budget": {},
"customerRequirement": "string",
"timing": {},
"budgetHolder": "string",
"decisionMaker": "string",
"isArchived": true,
"estimatedClosingDate": 0,
"markedForDeletionAt": 0,
"createdAt": 0,
"updatedAt": 0,
"probableValue": 0,
"salesProbability": 0,
"stageChangedAt": 0,
"priority": "string"
}
]Deal hinzufügen
Authorization
bearer In: header
Request Body
application/json
The ID of the deal
The name of the deal
The organization the deal is linked to
The editor of the deal
The positions in the deal
Estimated value
The stage of the deal
The stakeholders of the deal
The contact person of the deal
The priority of the deal
The created at timestamp of the deal
The archived state of the deal
Timestamp of deletion of the deal
The estimated closing date of the deal
The probable value of the deal
The sales probability of the deal
The timestamp of when the deal stage was last updated
Response Body
curl -X POST "https://samdock.app/api/deals" \ -H "Content-Type: application/json" \ -d '{ "_id": "string" }'Deal lesen
Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://samdock.app/api/deals/string"{
"_tenantID": "string",
"_id": "string",
"name": "string",
"organization": {},
"positions": [
"string"
],
"value": 0,
"positionsEstimated": 0,
"editor": {},
"stage": {},
"stakeholders": [
[]
],
"contactPerson": "string",
"budget": {},
"customerRequirement": "string",
"timing": {},
"budgetHolder": "string",
"decisionMaker": "string",
"isArchived": true,
"estimatedClosingDate": 0,
"markedForDeletionAt": 0,
"createdAt": 0,
"updatedAt": 0,
"probableValue": 0,
"salesProbability": 0,
"stageChangedAt": 0,
"priority": "string"
}Deal bearbeiten
Authorization
bearer In: header
Path Parameters
Request Body
application/json
The ID of the deal
The name of the deal
The organization the deal is linked to
The editor of the deal
The positions in the deal
Estimated value
The stage of the deal
The stakeholders of the deal
The contact person of the deal
The priority of the deal
The created at timestamp of the deal
The archived state of the deal
Timestamp of deletion of the deal
The estimated closing date of the deal
The probable value of the deal
The sales probability of the deal
The timestamp of when the deal stage was last updated
Response Body
curl -X PATCH "https://samdock.app/api/deals/string" \ -H "Content-Type: application/json" \ -d '{ "_id": "string" }'Deal löschen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/string"Deal-Stufe ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/stage"Deal zu Lead herabstufen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/stage/demote"Deal archivieren
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/archive"Deal wiedereröffnen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/reopen"Budget des Deals ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/budget"Entscheidungsträger ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/decisionMaker"Budgetverantwortlichen ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/budgetHolder"Kundenanforderung ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/customerRequirement"Zeitplanung des Deals ändern
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/timing"Person mit Deal verknüpfen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X POST "https://samdock.app/api/deals/string/persons"Person von Deal trennen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/string/persons/string"Ansprechpartner zuweisen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/string/persons/string/assignAsContactPerson"Ansprechpartner entfernen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/string/persons/string/removeAsContactPerson"Organisation mit Deal verknüpfen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X POST "https://samdock.app/api/deals/string/organizations"Organisation von Deal trennen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/string/organizations/string"Person mit Lead verknüpfen
Authorization
bearer In: header
Path Parameters
Request Body
application/json
Response Body
curl -X POST "https://samdock.app/api/deals/leads/string/persons" \ -H "Content-Type: application/json" \ -d '{}'Person von Lead trennen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/leads/string/persons/string"Lead-Ansprechpartner zuweisen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X PATCH "https://samdock.app/api/deals/leads/string/persons/string/assignAsContactPerson"Lead-Ansprechpartner entfernen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/leads/string/persons/string/removeAsContactPerson"Organisation mit Lead verknüpfen
Authorization
bearer In: header
Path Parameters
Request Body
application/json
Response Body
curl -X POST "https://samdock.app/api/deals/leads/string/organizations" \ -H "Content-Type: application/json" \ -d '{}'Organisation von Lead trennen
Authorization
bearer In: header
Path Parameters
Response Body
curl -X DELETE "https://samdock.app/api/deals/leads/string/organizations/string"